package com.younike.system.mapper;

import java.util.List;
import com.younike.system.domain.MerchantBank;

/**
 * 店铺银行信息Mapper接口
 * 
 * @author elev
 * @date 2022-01-05
 */
public interface MerchantBankMapper 
{
    /**
     * 查询店铺银行信息
     * 
     * @param merchantId 店铺银行信息主键
     * @return 店铺银行信息
     */
    public MerchantBank selectMerchantBankByMerchantId(Long merchantId);

    /**
     * 查询店铺银行信息列表
     * 
     * @param merchantBank 店铺银行信息
     * @return 店铺银行信息集合
     */
    public List<MerchantBank> selectMerchantBankList(MerchantBank merchantBank);

    /**
     * 新增店铺银行信息
     * 
     * @param merchantBank 店铺银行信息
     * @return 结果
     */
    public int insertMerchantBank(MerchantBank merchantBank);

    /**
     * 修改店铺银行信息
     * 
     * @param merchantBank 店铺银行信息
     * @return 结果
     */
    public int updateMerchantBank(MerchantBank merchantBank);

    /**
     * 删除店铺银行信息
     * 
     * @param merchantId 店铺银行信息主键
     * @return 结果
     */
    public int deleteMerchantBankByMerchantId(Long merchantId);

    /**
     * 批量删除店铺银行信息
     * 
     * @param merchantIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMerchantBankByMerchantIds(Long[] merchantIds);
}
